package net.rmi.pawelGrid.LusCs;


import gui.In;
import net.rmi.pawelGrid.RmiFileTrans.FileServerImplemention;
import net.rmi.pawelGrid.RmiFileTrans.FileTransClient;
import utils.JarRunner;

import java.io.File;
import java.lang.reflect.InvocationTargetException;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * Created by IntelliJ IDEA. User: pkrepszt Date: Mar 27, 2005 Time:
 * 7:46:18 PM To change this template use File | Settings | File
 * Templates.
 */
public class CSAnswerFactory {
    private FileTransClient ftc = new FileTransClient();

    public CSAnswerFactory(File f) {
        try {
            runJar(f);

        } catch (NoSuchMethodException e) {
            In.message(e);

        } catch (InvocationTargetException e) {
            In.message(e);

        } catch (ClassNotFoundException e) {
            In.message(e);

        } catch (MalformedURLException e) {
            In.message(e);

        }
    }

    public void runJar(File f) throws NoSuchMethodException,
                                      InvocationTargetException,
                                      ClassNotFoundException,
                                      MalformedURLException {
        String[] newArgs = {};
        URL url = f.toURL();
        JarRunner.run(url, newArgs);
        System.out.println("f.toURL() " + url);
        sendAnwser(f);

    }


    public void sendAnwser(File f) {
        String lusIp = CSRcvr.lusIPaddress;
        String s = "rmi://" +
                lusIp +
                "/" +
                FileServerImplemention.REMOTE_NAME;
        System.out.println("CS rmiUrl=" + s);
        System.out.println("Sending anwser to lus ip   " + lusIp);
        ftc.getJarAnwser(s, f, lusIp);
    }

}
